
# Class: SetSurfacesCommand

A command that sets up a print area.

For details, you can refer to the [ISetSurfacesOptions](../interfaces/isetsurfacesoptions.md).
```
{
  "type": "design-editor",
  "name": "editor",
  "params": {
    "initial": { ... },
    "setSurfaces": {
      "surfaces": [{
        "123-456-678"
      }]
    }
  }
}
```

## Hierarchy

* [DesignEditorWidgetCommand](designeditorwidgetcommand.md)

  ↳ **SetSurfacesCommand**

## Index

### Methods

* [execute](setsurfacescommand.md#execute)

## Methods

###  execute

▸ **execute**(`params`: [ISetSurfacesOptions](../interfaces/isetsurfacesoptions.md)): *Promise‹void›*

*Overrides [DesignEditorWidgetCommand](designeditorwidgetcommand.md).[execute](designeditorwidgetcommand.md#abstract-execute)*

Executes this command.

**Parameters:**

Name | Type | Description |
------ | ------ | ------ |
`params` | [ISetSurfacesOptions](../interfaces/isetsurfacesoptions.md) | Parameters for the command.  |

**Returns:** *Promise‹void›*
